Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# error.hh File Reference

A C++ GLib error reporting class. More...

`#include <xfc/stackobject.hh>`
`#include <xfc/utfstring.hh>`
`#include <glib/gerror.h>`
`#include <xfc/glib/inline/error.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::Error
    A C++ GLib error reporting class. More...

## Detailed Description

A C++ GLib error reporting class.

GLib provides a standard method of reporting errors from a called function to the calling code. It's important to understand that this method is both a data type (the G::Error object) and a set of rules. If you use G::Error incorrectly, then your code will not properly interoperate with other code that uses G::Error, and users of your API will probably get confused.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3